% Binomial distribution
% Usage:
%  prob=binomial(n,p)

function prob = binomial(n,p)

if nargin<2, p = 0.5;end
if nargin<1, n = 10;end

prob = zeros(n+1,1);
for j=0:n,
   prob(j+1) = nchoosek(n,j).*(1-p).^(n-j).*p.^j;
end
