function S=rw(n,sample,sweeps)
% Il problema del botteghino
% Usage: S=rw(n,sample,sweeps)

if nargin < 3,    sweeps=1000;  end
if nargin < 2, sample = 100;  end
if nargin < 1, n = 50;end
  
  S=[];
  
  for k=1:sweeps
    N=0;
    p=[ones(1,n),-ones(1,n)];
    
    for j=1:sample
      X=p(randperm(2*n));
      if(isempty(find(cumsum(X)<0)))
        N=N+1;
      end
    end
    
    S=[S,N/sample];
  end
  
  hist(S)
  