function p=poisson(nmax,mu)
% Poisson distribution
% Usage:
% p=poisson(nmax,mu)
% Returns a vector p with Poisson probability ditribution
% on the set 0,1,...,nmax and mean=mu
if(nargin<2),
   mu=1;
end
if(nargin==0),
   nmax=10;
end

n=0:nmax;
p=mu.^n .* exp(-mu) ./ gamma(n+1);
