function y=fringe(x,n,offs)
L=max(x)-min(x);
if(L>0),
  a=2*pi*n/L;
else
  error('x should not be a constant!')
end
if nargin<3,
  offs=2;
else
  if offs<0,
    error('Density is negative somewhere!');
  end
end

y=(offs+sin(a*x).^2).*hanning(length(x));

%--------------------

function h=hanning(n)

x=0:(n-1);

h=1-cos(2*pi*x/n);
